2 Replies Latest reply: Jun 12, 2014 10:17 AM by TheKillCow
Walton_Editor Level 1 Level 1 (0 points)

I bought an iMac OSX with Mountain Lion 10.8 and couldn't for the life of me install my FCP 6 (Final Cut Pro 6)...until NOW! 

 

Little excited, but happy to have dug up a result after some time of having already accepted that I would not be able to use my FCP 6 on this version of iMac and then choosing to resorted to taking on Adobe Premiere (which is an exceptional system that I now appreciate btw). 

 

Getting to the point if you search for the program Pacifist and download it you can solve this problem.  Here is where I found it for my purposes: http://pacifist.en.softonic.com/mac

 

The rest is simple:

 

1) Download/Install Pacifist

2) Once installed and open.  Go to and click on the button 'Apple Installers' and then insert the install disks for your version of FCP.  The rest is self explainitory.

 

***Do use caution with Pacifist however as it can allow you to do things that might corrupt you system so you must be careful if you use it.

 

Thanks goes to Jon Walker over at South Jersey Apple Users Group who originally lead me to this program while assisting solving another issue with my iMac.

 

Thanks Jon!


iMac (27-inch Mid 2011), OS X Mountain Lion (10.8.3), Quicktime player for iMac